### Constructor

# WebKit WebsitePolicies new_with_policies

#### Declaration [src]

    WebKitWebsitePolicies*
    webkit_website_policies_new_with_policies (
      const gchar* first_policy_name,
      ...
    )

#### Description [src]

Create a new `WebKitWebsitePolicies` with given policies.

Create a new `WebKitWebsitePolicies` with policies given as variadic arguments.

Available since: | 2.30
This constructor is not directly available to language bindings

#### Parameters

`first_policy_name` | `const gchar*`
| Name of the first policy to set.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| Value of first policy, followed by more policies, `NULL`-terminated.

#### Return value

Returns: | `WebKitWebsitePolicies`

The newly created `WebKitWebsitePolicies`

    WebKitWebsitePolicies *default_website_policies = webkit_website_policies_new_with_policies(
        "autoplay", WEBKIT_AUTOPLAY_DENY,
        NULL);

    // ...

    WebKitWebView *view = WEBKIT_WEB_VIEW(g_object_new(WEBKIT_TYPE_WEB_VIEW,
        "web-context", ctx,
        "settings", settings,
        "user-content-manager", content_manager,
        "website-policies", default_website_policies,
        NULL));

    // ...

| The caller of the function takes ownership of the data, and is responsible for freeing it.